Returns all non-expired Live Sharing Links.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Live Sharing Links under the Driver Workflow category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/live-shares \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "leesdwqjx42dkvp86so",
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/7hf4lnu455wep22rtun",
"name": "Example Live Sharing Link name",
"type": "assetsLocation",
"assetsLocationLinkConfig": {
"assetId": "1234",
"location": {
"formattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"latitude": 37.456345,
"longitude": 34.5633749,
"name": "Suburbs"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
},
"assetsNearLocationLinkConfig": {
"addressId": "1234"
},
"assetsOnRouteLinkConfig": {
"recurringRouteId": "1234"
},
"description": "Sample description",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of Live Share Link IDs
A filter on the data based on the Live Sharing Link type. Valid values: all, assetsLocation, assetsNearLocation, assetsOnRoute
all, assetsLocation, assetsNearLocation, assetsOnRoute The limit for how many objects will be in the response. Default and max for this value is 100 objects.
1 <= x <= 100If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
curl --request GET \
--url https://api.samsara.com/live-shares \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "leesdwqjx42dkvp86so",
"liveSharingUrl": "https://cloud.samsara.com/o/123456/fleet/viewer/address/7hf4lnu455wep22rtun",
"name": "Example Live Sharing Link name",
"type": "assetsLocation",
"assetsLocationLinkConfig": {
"assetId": "1234",
"location": {
"formattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"latitude": 37.456345,
"longitude": 34.5633749,
"name": "Suburbs"
},
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
},
"assetsNearLocationLinkConfig": {
"addressId": "1234"
},
"assetsOnRouteLinkConfig": {
"recurringRouteId": "1234"
},
"description": "Sample description",
"expiresAtTime": "2020-01-27T07:06:25Z"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}